Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.common.ui
Class SelectModelElementWizard.WizardPageExtension

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.ecp.spi.common.ui.SelectModelElementWizard.WizardPageExtension

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

Enclosing class:
  SelectModelElementWizard

    public final class SelectModelElementWizard.WizardPageExtension

extends org.eclipse.jface.wizard.WizardPage

Author:
  Jonas

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`SelectModelElementWizard.WizardPageExtension(String pageName)`

Method Summary
`void` | `createControl(org.eclipse.swt.widgets.Composite parent)`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### SelectModelElementWizard.WizardPageExtension

    public SelectModelElementWizard.WizardPageExtension(String pageName)

Parameters:
  `pageName` - the name of the page

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.